StringBinding (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.bind.tuple

## Class StringBinding

- java.lang.Object
- - com.sleepycat.bind.tuple.TupleBase<E>
  - - com.sleepycat.bind.tuple.TupleBinding<java.lang.String>
    - - com.sleepycat.bind.tuple.StringBinding

- All Implemented Interfaces:
    `EntryBinding<java.lang.String>`

      public class StringBinding
      extends TupleBinding<java.lang.String>

  A concrete `TupleBinding` for a simple `String` value.

  There are two ways to use this class:

  1. When using the `com.sleepycat.db` package directly, the static methods in this class can be used to convert between primitive values and `DatabaseEntry` objects.
  2. When using the `com.sleepycat.collections` package, an instance of this class can be used with any stored collection. The easiest way to obtain a binding instance is with the `TupleBinding.getPrimitiveBinding(java.lang.Class<T>)` method.
  See Also:
    String Formats

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringBinding()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `entryToObject​(TupleInput input)` | Constructs a key or data object from a `TupleInput` entry.
    `static java.lang.String` | `entryToString​(DatabaseEntry entry)` | Converts an entry buffer into a simple `String` value.
    `protected TupleOutput` | `getTupleOutput​(java.lang.String object)` | Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.
    `void` | `objectToEntry​(java.lang.String object, TupleOutput output)` | Converts a key or data object to a tuple entry.
    `static void` | `stringToEntry​(java.lang.String val, DatabaseEntry entry)` | Converts a simple `String` value into an entry buffer.

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBinding

      `entryToObject, getPrimitiveBinding, objectToEntry`

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBase

      `entryToInput, getTupleBufferSize, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringBinding

          public StringBinding()

  - ### Method Detail

    - #### entryToObject

          public java.lang.String entryToObject​(TupleInput input)

      Description copied from class: `TupleBinding`
      Constructs a key or data object from a `TupleInput` entry.
      Specified by:
        `entryToObject` in class `TupleBinding<java.lang.String>`
      Parameters:
        `input` - is the tuple key or data entry.
      Returns:
        the key or data object constructed from the entry.

    - #### objectToEntry

          public void objectToEntry​(java.lang.String object,
                                    TupleOutput output)

      Description copied from class: `TupleBinding`
      Converts a key or data object to a tuple entry.
      Specified by:
        `objectToEntry` in class `TupleBinding<java.lang.String>`
      Parameters:
        `object` - is the key or data object.
        `output` - is the tuple entry to which the key or data should be written.

    - #### getTupleOutput

          protected TupleOutput getTupleOutput​(java.lang.String object)

      Description copied from class: `TupleBase`
      Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.

      The default implementation of this method creates a new TupleOutput with an initial buffer size that can be changed using the `TupleBase.setTupleBufferSize(int)` method.

      This method may be overridden to return a TupleOutput instance. For example, an instance per thread could be created and returned by this method. If a TupleOutput instance is reused, be sure to call its `FastOutputStream.reset()` method before each use.

      Overrides:
        `getTupleOutput` in class `TupleBase<java.lang.String>`
      Parameters:
        `object` - is the object to be written to the tuple output, and may be used by subclasses to determine the size of the output buffer.
      Returns:
        an empty TupleOutput instance.
      See Also:
        `TupleBase.setTupleBufferSize(int)`

    - #### entryToString

          public static java.lang.String entryToString​(DatabaseEntry entry)

      Converts an entry buffer into a simple `String` value.
      Parameters:
        `entry` - is the source entry buffer.
      Returns:
        the resulting value.

    - #### stringToEntry

          public static void stringToEntry​(java.lang.String val,
                                           DatabaseEntry entry)

      Converts a simple `String` value into an entry buffer.
      Parameters:
        `val` - is the source value.
        `entry` - is the destination entry buffer.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.